%define major %(echo %{version} | cut -d. -f1,2)

%define libname    %mklibname %{name} %{major}
%define devel_name %mklibname %{name} -d

Name:       coeurl
Version:    0.3.1
Release:    %mkrel 4
Summary:    Simple async wrapper around CURL for C++
License:    MIT
Group:      System/Libraries
URL:        https://nheko.im/nheko-reborn/coeurl
Source0:    %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz#/%{name}-v%{version}.tar.gz

BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libevent)
BuildRequires: meson
BuildRequires: ninja
BuildRequires: pkgconfig(fmt)
BuildRequires: pkgconfig(spdlog)

%description
Simple library to do http requests asynchronously via CURL in C++.
Based on the CURL-libevent example.

%package -n %{libname}
Summary:    Simple async wrapper around CURL for C++
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}
Obsoletes:  %{name} < 0.2.1-2

%description -n %{libname}
Simple library to do http requests asynchronously via CURL in C++.
Based on the CURL-libevent example.

%package -n %{devel_name}
Summary:    Development files for %{name}
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devel_name}
Development files for %{name}.

%prep
%autosetup -n %{name}-v%{version} -p1

%build
%meson \
    -Dwerror=false \
    -Dtests=false \
    -Dexamples=false
%meson_build

%install
%meson_install

%files -n %{libname}
%doc CHANGELOG.md README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devel_name}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.3.1-4.mga10
+ Revision: 2235166
- Mageia 10 Mass Rebuild

* Fri Jan 31 2025 daviddavid <daviddavid> 0.3.1-3.mga10
+ Revision: 2143746
- rebuild for new spdlog 1.15.0

* Wed Oct 02 2024 daviddavid <daviddavid> 0.3.1-2.mga10
+ Revision: 2102528
- rebuild for new fmt 11.0.2

* Mon Jun 17 2024 wally <wally> 0.3.1-1.mga10
+ Revision: 2074652
- new version 0.3.1

* Wed May 08 2024 wally <wally> 0.3.0-4.mga10
+ Revision: 2062873
- rebuild for spdlog 1.14.1

* Sat Feb 10 2024 daviddavid <daviddavid> 0.3.0-3.mga10
+ Revision: 2040066
- rebuild for new spdlog

* Thu Sep 07 2023 daviddavid <daviddavid> 0.3.0-2.mga10
+ Revision: 1984999
- rebuild for new spdlog

* Sat Jan 14 2023 squidf <squidf> 0.3.0-1.mga9
+ Revision: 1932868
- New version: 0.3.0

* Wed Dec 21 2022 daviddavid <daviddavid> 0.2.1-2.mga9
+ Revision: 1925488
- libify pkg
- fix files in devel sub-pkg

* Tue Dec 20 2022 squidf <squidf> 0.2.1-1.mga9
+ Revision: 1925453
- First build for MGA required by Nheko


* Sun Sep 4 2022 squidf <squid-f> 0.2.1-1.1
- Fix unsatisfied libcoeurl.so.0

* Sun Sep 4 2022 squidf <squid-f> 0.2.1-1
- Update to 0.2.1

* Fri Dec 24 2021 squidf <squid-f> 0.1.1-1
- Update to 0.1.1

* Fri Dec 24 2021 squidf <squid-f> 0.1.0-1
- Build for MLO and to build nheko

